import styled$1 from "../../@emotion/styled/dist/emotion-styled.browser.esm.js";
import { serializeStyles } from "../../@emotion/serialize/dist/emotion-serialize.esm.js";
import { css, keyframes } from "../../@emotion/react/dist/emotion-react.browser.esm.js";
import { default as default2 } from "./GlobalStyles/GlobalStyles.js";
import { default as default3 } from "./StyledEngineProvider/StyledEngineProvider.js";
import { T } from "../../@emotion/react/dist/emotion-element-f0de968e.browser.esm.js";
/**
 * @mui/styled-engine v5.18.0
 *
 * @license MIT
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
function styled(tag, options) {
  const stylesFactory = styled$1(tag, options);
  if (process.env.NODE_ENV !== "production") {
    return (...styles) => {
      const component = typeof tag === "string" ? `"${tag}"` : "component";
      if (styles.length === 0) {
        console.error([`MUI: Seems like you called \`styled(${component})()\` without a \`style\` argument.`, 'You must provide a `styles` argument: `styled("div")(styleYouForgotToPass)`.'].join("\n"));
      } else if (styles.some((style) => style === void 0)) {
        console.error(`MUI: the styled(${component})(...args) API requires all its args to be defined.`);
      }
      return stylesFactory(...styles);
    };
  }
  return stylesFactory;
}
const internal_processStyles = (tag, processor) => {
  if (Array.isArray(tag.__emotion_styles)) {
    tag.__emotion_styles = processor(tag.__emotion_styles);
  }
};
const wrapper = [];
function internal_serializeStyles(styles) {
  wrapper[0] = styles;
  return serializeStyles(wrapper);
}
export {
  default2 as GlobalStyles,
  default3 as StyledEngineProvider,
  T as ThemeContext,
  css,
  styled as default,
  internal_processStyles,
  internal_serializeStyles,
  keyframes
};
